Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Compound Members | File Members

# LampForMaya::TranslationCamera Class Reference

変換カメラ More...

`#include <TranslationCamera.h>`

List of all members.

## Public Member Functions
virtual | ~TranslationCamera ()
| デストラクタ
virtual bool | analyze ()
| 分析
virtual bool | analyzeAnimation ()
| アニメーションの分析
virtual bool | convertToLamp (Scene *scene)
| Lampへの変換.
virtual bool | convertAnimation (AnimationManager *animationManager, AnimationSet *animationSet)
| アニメーションの変換
virtual MObject | getObject () const
| オブジェクトの取得
virtual String | getName () const
| 名前の取得
## Protected Member Functions
| TranslationCamera (const MDagPath &initializePath, const String &initializeName)
| コンストラクタ
virtual bool | zeroCheck (const MPoint &point)
| ゼロチェック
## Protected Attributes
MDagPath | dagPath_
| Dagパス.
MObject | object_
| オブジェクト
String | name_
| 名前
Camera * | camera_
| カメラ
Vector3 | rotation_
| 回転
Vector3 | translation_
| 移動
TranslationSequence | sequence_
| シーケンス
EulerArrayInterpolator * | rotationAnimation_
| 回転アニメーション
VectorArrayInterpolator * | translationAnimation_
| 移動アニメーション
bool | hasAnimation_
| アニメーションを持つか
## Friends
class | TranslationCameraManager

## Detailed Description

変換カメラ

Definition at line 45 of file TranslationCamera.h.

## Constructor & Destructor Documentation

LampForMaya::TranslationCamera::TranslationCamera | ( | const MDagPath & | initializePath,
|  | const String & | initializeName
| ) | `[protected]`

  | コンストラクタ Parameters:
  initializePath | 初期化するDagパス
  initializeName | 初期化する名前
Definition at line 43 of file TranslationCamera.cpp. References dagPath_, MayaStatusCheck, and object_.

## Member Function Documentation

bool LampForMaya::TranslationCamera::analyze | ( |  | ) | `[virtual]`

| 分析 Returns: 成功すればtrue Definition at line 61 of file TranslationCamera.cpp. References dagPath_, MayaErrorOut, MayaStatusCheck, name_, rotation_, translation_, and zeroCheck(). Referenced by LampForMaya::TranslationCameraManager::analysisCamera().

bool LampForMaya::TranslationCamera::analyzeAnimation | ( |  | ) | `[virtual]`

| アニメーションの分析 Returns: 成功すればtrue Definition at line 184 of file TranslationCamera.cpp. References LampForMaya::TranslationSequence::analyze(), dagPath_, LampForMaya::TranslationSequence::getEndTime(), LampForMaya::TranslationSequence::getSequenceCount(), LampForMaya::TranslationSequence::getStartTime(), hasAnimation_, object_, rotation_, rotationAnimation_, sequence_, translation_, and translationAnimation_. Referenced by LampForMaya::TranslationCameraManager::collectAnimations().

bool LampForMaya::TranslationCamera::convertAnimation | ( | AnimationManager * | animationManager,
|  | AnimationSet * | animationSet
| ) | `[virtual]`

  | アニメーションの変換 Parameters:
  animationManager | アニメーションマネージャ
  animationSet | アニメーションセット
Returns: 成功すればtrue Definition at line 217 of file TranslationCamera.cpp. References LampForMaya::TranslationSequence::getEndTime(), LampForMaya::TranslationSequence::getSequenceCount(), LampForMaya::TranslationSequence::getStartTime(), hasAnimation_, LampForMaya::TranslationSequence::hasSequence(), LampForMaya::TranslationSequence::isLooped(), MayaErrorOut, name_, rotationAnimation_, sequence_, and translationAnimation_. Referenced by LampForMaya::TranslationCameraManager::convertAnimation().

bool LampForMaya::TranslationCamera::convertToLamp | ( | Scene * | scene | ) | `[virtual]`

  | Lampへの変換. Parameters:
  scene | シーン
Returns: 成功すればtrue Definition at line 209 of file TranslationCamera.cpp. References camera_, name_, rotation_, and translation_. Referenced by LampForMaya::TranslationCameraManager::convertToLamp().

virtual String LampForMaya::TranslationCamera::getName | ( |  | ) | const`[inline, virtual]`

| 名前の取得 Returns: 名前 Definition at line 94 of file TranslationCamera.h. References name_.

virtual MObject LampForMaya::TranslationCamera::getObject | ( |  | ) | const`[inline, virtual]`

| オブジェクトの取得 Returns: オブジェクト Definition at line 88 of file TranslationCamera.h. References object_.

bool LampForMaya::TranslationCamera::zeroCheck | ( | const MPoint & | point | ) | `[protected, virtual]`

  | ゼロチェック Parameters:
  point | チェックするポイント
Returns: ポイントが0ならtrueを返す Definition at line 174 of file TranslationCamera.cpp. Referenced by analyze().

The documentation for this class was generated from the following files:

- TranslationCamera.h
- TranslationCamera.cpp